package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PlanStatusEnum {


    NOCUTTING(0, "未开料/新单"),
    OPENING(1, "开料中"),
    OPENED(2, "已开料");

    private Integer status;
    private String scheduling;


    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(PlanStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }

}
